model consumo "Modelo de consumo"
  parameter Real DEM_IMP_PROD = 0.5 "Demora de importación de bien final (Mes)";
  parameter Real OMEG = 0.25 " ()";
  parameter Real NATA = 1.74 "Tasa de natalidad (mensual)";
  parameter Real MORT = 0.43 "Tasa de mortalidad (mensual)";
  parameter Real CONS_PC = 0.00298 "Consumo per cápita (ton/mes)";
  SystemDynamics.Auxiliary.Const OMEGA(k = OMEG) annotation(Placement(visible = true, transformation(origin = {-84, -92}, extent = {{-10, -10}, {10, 10}}, rotation = -90)));
  Modelica.Blocks.Logical.Switch switch1 annotation(Placement(visible = true, transformation(origin = {21, 9}, extent = {{-7, -7}, {7, 7}}, rotation = 0)));
  SystemDynamics.Auxiliary.Const CONSUMO_PER_CAPITA(k = CONS_PC) annotation(Placement(visible = true, transformation(origin = {-86, 50}, extent = {{-10, -10}, {10, 10}}, rotation = -90)));
  Modelica.Blocks.Math.Add add1(k2 = -1) annotation(Placement(visible = true, transformation(origin = {-72, 28}, extent = {{6, -6}, {-6, 6}}, rotation = 0)));
  Modelica.Blocks.Logical.Switch demanda_insatisfecha annotation(Placement(visible = true, transformation(origin = {-90, -8}, extent = {{-8, -8}, {8, 8}}, rotation = -90)));
  SystemDynamics.Auxiliary.Prod_2 dem annotation(Placement(visible = true, transformation(origin = {-31, 45}, extent = {{-9, 9}, {9, -9}}, rotation = 0)));
  Modelica.Blocks.Logical.Greater greater2 annotation(Placement(visible = true, transformation(origin = {-65, 11}, extent = {{9, -9}, {-9, 9}}, rotation = 0)));
  SystemDynamics.Rates.Rate_1 consumo annotation(Placement(visible = true, transformation(origin = {53, -25}, extent = {{-9, 9}, {9, -9}}, rotation = 0)));
  SystemDynamics.Sources.Sink sink3 annotation(Placement(visible = true, transformation(origin = {84, -24}, extent = {{-6, -6}, {6, 6}}, rotation = 0)));
  SystemDynamics.Sources.Sink sink1 annotation(Placement(visible = true, transformation(origin = {47, -87}, extent = {{-5, -5}, {5, 5}}, rotation = -90)));
  SystemDynamics.Rates.MRate_2 extraccion annotation(Placement(visible = true, transformation(origin = {46, -68}, extent = {{-8, -8}, {8, 8}}, rotation = -90)));
  SystemDynamics.Sources.Source source2 annotation(Placement(visible = true, transformation(origin = {-13, 89}, extent = {{-5, -5}, {5, 5}}, rotation = 0)));
  SystemDynamics.Auxiliary.Const TASA_NATALIDAD(k = NATA) annotation(Placement(visible = true, transformation(origin = {-14, 76}, extent = {{-8, -8}, {8, 8}}, rotation = 0)));
  SystemDynamics.Rates.MRate_2 nacimientos annotation(Placement(visible = true, transformation(origin = {5, 89}, extent = {{-7, -7}, {7, 7}}, rotation = 0)));
  SystemDynamics.Auxiliary.Const TASA_MORTALIDAD(k = MORT) annotation(Placement(visible = true, transformation(origin = {92, 76}, extent = {{-8, -8}, {8, 8}}, rotation = 0)));
  SystemDynamics.Rates.MRate_2 muertes annotation(Placement(visible = true, transformation(origin = {73, 89}, extent = {{-7, -7}, {7, 7}}, rotation = 0)));
  SystemDynamics.Sources.Sink sink2 annotation(Placement(visible = true, transformation(origin = {95, 89}, extent = {{-5, -5}, {5, 5}}, rotation = 0)));
  SystemDynamics.Levels.Level POBLACION(x0 = 2.7e+007) annotation(Placement(visible = true, transformation(origin = {47, 89}, extent = {{-9, -9}, {9, 9}}, rotation = 0)));
  SystemDynamics.Interfaces.MassOutPort demanda annotation(Placement(visible = true, transformation(origin = {68, 32}, extent = {{-10, -10}, {10, 10}}, rotation = 0), iconTransformation(origin = {-90, 54}, extent = {{10, -10}, {-10, 10}}, rotation = 0)));
  SystemDynamics.Interfaces.MassInPort traslado_mercado annotation(Placement(visible = true, transformation(origin = {-48, -50}, extent = {{-8, -8}, {8, 8}}, rotation = 0), iconTransformation(origin = {-90, -38}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  SystemDynamics.Auxiliary.Const const1(k = 0) annotation(Placement(visible = true, transformation(origin = {-70, -10}, extent = {{-8, -8}, {8, 8}}, rotation = 90)));
  SystemDynamics.Sources.Source source1 annotation(Placement(visible = true, transformation(origin = {-82, -30}, extent = {{-6, -6}, {6, 6}}, rotation = 0)));
  SystemDynamics.Levels.Level3 DISPONIBILIDAD annotation(Placement(visible = true, transformation(origin = {-7, -35}, extent = {{-13, -13}, {13, 13}}, rotation = 0)));
  efecto_tcn efecto_tcn1 annotation(Placement(visible = true, transformation(origin = {-38, -74}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Blocks.Logical.Greater greater1 annotation(Placement(visible = true, transformation(origin = {-13, 11}, extent = {{-7, -7}, {7, 7}}, rotation = 0)));
  FixedDelayU fixeddelayu1(delayTime = DEM_IMP_PROD) annotation(Placement(visible = true, transformation(origin = {-41, -27}, extent = {{-7, -7}, {7, 7}}, rotation = 0)));
  SystemDynamics.Rates.Rate_1 importacion annotation(Placement(visible = true, transformation(origin = {-66, -30}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
equation
  connect(fixeddelayu1.y, DISPONIBILIDAD.u1) annotation(Line(points = {{-33, -27}, {-22, -27}, {-22, -30}, {-22, -30}}, color = {0, 0, 127}));
  connect(importacion.y1, fixeddelayu1.u) annotation(Line(points = {{-61, -30}, {-50, -30}, {-50, -26}, {-50, -26}}, color = {95, 0, 191}));
  connect(demanda_insatisfecha.y, importacion.u) annotation(Line(points = {{-90, -17}, {-91, -17}, {-91, -45}, {-66, -45}, {-66, -40.5}}, color = {0, 0, 127}));
  connect(source1.MassInPort1, importacion.y) annotation(Line(points = {{-75, -30}, {-71, -30}}, color = {95, 0, 191}));
  connect(DISPONIBILIDAD.y, switch1.u1) annotation(Line(points = {{3, -43}, {3, -48}, {13, -48}, {13, 15}}, color = {95, 0, 191}));
  connect(greater1.y, switch1.u2) annotation(Line(points = {{-5, 11}, {4, 11}, {4, 9}, {13, 9}}, color = {255, 0, 255}));
  connect(dem.y, greater1.u1) annotation(Line(points = {{-31, 39}, {-31, 10.5}, {-21, 10.5}, {-21, 11}}, color = {0, 0, 127}));
  connect(DISPONIBILIDAD.y1, greater1.u2) annotation(Line(points = {{-7, -43}, {-6.5, -43}, {-6.5, -47}, {-28, -47}, {-28, 5}, {-21, 5}}, color = {95, 0, 191}));
  connect(OMEGA.y, efecto_tcn1.potencia) annotation(Line(points = {{-77, -92}, {-59, -92}, {-59, -68}, {-35, -68}}, color = {0, 0, 127}));
  connect(efecto_tcn1.efectotcn, extraccion.u1) annotation(Line(points = {{-29, -74}, {38, -74}, {38, -71}}, color = {95, 0, 191}));
  connect(DISPONIBILIDAD.u3, consumo.y) annotation(Line(points = {{7, -30}, {48.5, -30}, {48.5, -25}}, color = {95, 0, 191}));
  connect(DISPONIBILIDAD.u4, extraccion.y) annotation(Line(points = {{7, -40}, {46, -40}, {46, -64}}, color = {95, 0, 191}));
  connect(DISPONIBILIDAD.y2, extraccion.u) annotation(Line(points = {{-17, -43}, {-18, -43}, {-18, -52}, {32, -52}, {32, -64.5}, {38, -64.5}, {38, -65}}, color = {95, 0, 191}));
  connect(traslado_mercado, DISPONIBILIDAD.u2) annotation(Line(points = {{-48, -50}, {-21, -50}, {-21, -40}}, color = {95, 0, 191}));
  connect(const1.y, demanda_insatisfecha.u1) annotation(Line(points = {{-76, -10}, {-76, 5}, {-84, 5}, {-84, 2}}, color = {0, 0, 127}));
  connect(dem.y, demanda) annotation(Line(points = {{-31, 39}, {60, 39}, {60, 34}, {60, 34}}, color = {0, 0, 127}));
  connect(POBLACION.y4, nacimientos.u1) annotation(Line(points = {{40, 83}, {40, 81.15}, {38.25, 81.15}, {38.25, 79.15}, {5.75, 79.15}, {5.75, 80.15}, {6, 80.15}, {6, 82.15}, {8.25, 82.15}}, color = {95, 0, 191}));
  connect(POBLACION.y3, dem.u2) annotation(Line(points = {{47, 83}, {47, 44.75}, {-25, 44.75}, {-25, 45}}, color = {95, 0, 191}));
  connect(nacimientos.y1, POBLACION.u1) annotation(Line(points = {{8.5, 89}, {37, 89}}, color = {95, 0, 191}));
  connect(POBLACION.y2, muertes.u) annotation(Line(points = {{54, 83}, {54, 80.15}, {69.25, 80.15}, {69.25, 82.15}, {69.75, 82.15}}, color = {95, 0, 191}));
  connect(POBLACION.u2, muertes.y) annotation(Line(points = {{57, 89}, {69.4, 89}}, color = {95, 0, 191}));
  connect(switch1.y, greater2.u1) annotation(Line(points = {{29, 9}, {31.5, 9}, {31.5, -7}, {-36, -7}, {-36, 10.5}, {-54, 10.5}, {-54, 11}}, color = {0, 0, 127}));
  connect(add1.y, demanda_insatisfecha.u3) annotation(Line(points = {{-79, 28}, {-96, 28}, {-96, 2}, {-96, 2}}, color = {0, 0, 127}));
  connect(muertes.y1, sink2.MassInPort1) annotation(Line(points = {{76.5, 89}, {89.5, 89}}, color = {95, 0, 191}));
  connect(TASA_MORTALIDAD.y, muertes.u1) annotation(Line(points = {{92, 81.6}, {76, 81.6}}, color = {0, 0, 127}));
  connect(TASA_NATALIDAD.y, nacimientos.u) annotation(Line(points = {{-14, 81.6}, {2, 81.6}}, color = {0, 0, 127}));
  connect(source2.MassInPort1, nacimientos.y) annotation(Line(points = {{-7.5, 89}, {1.5, 89}}, color = {95, 0, 191}));
  connect(extraccion.y1, sink1.MassInPort1) annotation(Line(points = {{46, -72}, {46, -81.5}, {47, -81.5}}, color = {95, 0, 191}));
  connect(consumo.y1, sink3.MassInPort1) annotation(Line(points = {{57.5, -25}, {59, -25}, {59, -24}, {77, -24}}, color = {95, 0, 191}));
  connect(switch1.y, consumo.u) annotation(Line(points = {{29, 9}, {53, 9}, {53, -16}}, color = {0, 0, 127}));
  connect(greater2.y, demanda_insatisfecha.u2) annotation(Line(points = {{-75, 11}, {-90, 11}, {-90, 2}, {-90, 2}}, color = {255, 0, 255}));
  connect(dem.y, greater2.u2) annotation(Line(points = {{-31, 39}, {-49, 39}, {-49, 4}, {-54, 4}}, color = {0, 0, 127}));
  connect(dem.y, add1.u1) annotation(Line(points = {{-31, 39}, {-65, 39}, {-65, 32}}, color = {0, 0, 127}));
  connect(dem.y, switch1.u3) annotation(Line(points = {{-31, 39}, {1, 39}, {1, 3}, {13, 3}}, color = {0, 0, 127}));
  connect(CONSUMO_PER_CAPITA.y, dem.u1) annotation(Line(points = {{-79, 50}, {-58, 50}, {-58, 45}, {-37, 45}}, color = {0, 0, 127}));
  connect(greater2.y, demanda_insatisfecha.u2) annotation(Line(points = {{-75, 8}, {-88, 8}, {-88, -5}}, color = {255, 0, 255}));
  connect(switch1.y, add1.u2) annotation(Line(points = {{29, 9}, {30, 9}, {30, 24}, {-65, 24}}, color = {0, 0, 127}));
  annotation(Diagram(coordinateSystem(extent = {{-100, -100}, {100, 100}}, preserveAspectRatio = true, initialScale = 0.1, grid = {2, 2})), Icon(coordinateSystem(extent = {{-100, -100}, {100, 100}}, preserveAspectRatio = true, initialScale = 0.1, grid = {2, 2}), graphics = {Ellipse(origin = {-28, 35}, fillColor = {255, 237, 215}, fillPattern = FillPattern.Solid, extent = {{-36, 35}, {36, -33}}, endAngle = 360), Ellipse(origin = {-32, 52}, fillColor = {255, 0, 0}, fillPattern = FillPattern.Solid, extent = {{-6, 6}, {6, -6}}, endAngle = 360), Ellipse(origin = {-16, 50}, fillColor = {255, 0, 0}, fillPattern = FillPattern.Solid, extent = {{-6, 6}, {6, -6}}, endAngle = 360), Ellipse(origin = {-8, 38}, fillColor = {255, 0, 0}, fillPattern = FillPattern.Solid, extent = {{-6, 6}, {6, -6}}, endAngle = 360), Ellipse(origin = {-12, 24}, fillColor = {255, 0, 0}, fillPattern = FillPattern.Solid, extent = {{-6, 6}, {6, -6}}, endAngle = 360), Ellipse(origin = {-22, 36}, fillColor = {255, 0, 0}, fillPattern = FillPattern.Solid, extent = {{-6, 6}, {6, -6}}, endAngle = 360), Ellipse(origin = {-46, 44}, fillColor = {255, 0, 0}, fillPattern = FillPattern.Solid, extent = {{-6, 6}, {6, -6}}, endAngle = 360), Ellipse(origin = {-38, 20}, fillColor = {255, 0, 0}, fillPattern = FillPattern.Solid, extent = {{-6, 6}, {6, -6}}, endAngle = 360), Ellipse(origin = {-48, 30}, fillColor = {255, 0, 0}, fillPattern = FillPattern.Solid, extent = {{-6, 6}, {6, -6}}, endAngle = 360), Ellipse(origin = {-24, 18}, fillColor = {255, 0, 0}, fillPattern = FillPattern.Solid, extent = {{-6, 6}, {6, -6}}, endAngle = 360), Ellipse(origin = {-36, 34}, fillColor = {255, 0, 0}, fillPattern = FillPattern.Solid, extent = {{-6, 6}, {6, -6}}, endAngle = 360), Polygon(origin = {-30.97, 41.07}, fillColor = {0, 170, 0}, fillPattern = FillPattern.Solid, points = {{-1.02566, 2.93451}, {0.974342, -3.06549}, {0.974342, -1.06549}, {0.974342, -1.06549}, {-1.02566, 2.93451}, {-1.02566, 2.93451}}), Polygon(origin = {-28.12, 41}, fillColor = {0, 170, 0}, fillPattern = FillPattern.Solid, points = {{0.120788, 3}, {-1.87921, -3}, {2.12079, 1}, {0.120788, 3}, {0.120788, 3}}), Polygon(origin = {-30.05, 28}, fillColor = {0, 170, 0}, fillPattern = FillPattern.Solid, points = {{2.05279, 2}, {0.0527864, -2}, {-1.94721, 0}, {-1.94721, -2}, {0.0527864, 0}, {2.05279, 2}}), Polygon(origin = {38.83, -44.08}, fillColor = {0, 170, 0}, fillPattern = FillPattern.Solid, points = {{-2.83014, 2.08397}, {-0.830137, -1.91603}, {3.16986, -1.91603}, {3.16986, -1.91603}, {-2.83014, 2.08397}}), Ellipse(origin = {38, -35}, fillColor = {255, 237, 215}, fillPattern = FillPattern.Solid, extent = {{-36, 35}, {36, -33}}, endAngle = 360), Ellipse(origin = {18, -40}, fillColor = {255, 0, 0}, fillPattern = FillPattern.Solid, extent = {{-6, 6}, {6, -6}}, endAngle = 360), Ellipse(origin = {20, -26}, fillColor = {255, 0, 0}, fillPattern = FillPattern.Solid, extent = {{-6, 6}, {6, -6}}, endAngle = 360), Ellipse(origin = {28, -50}, fillColor = {255, 0, 0}, fillPattern = FillPattern.Solid, extent = {{-6, 6}, {6, -6}}, endAngle = 360), Ellipse(origin = {30, -36}, fillColor = {255, 0, 0}, fillPattern = FillPattern.Solid, extent = {{-6, 6}, {6, -6}}, endAngle = 360), Ellipse(origin = {34, -18}, fillColor = {255, 0, 0}, fillPattern = FillPattern.Solid, extent = {{-6, 6}, {6, -6}}, endAngle = 360), Polygon(origin = {35.95, -42}, fillColor = {0, 170, 0}, fillPattern = FillPattern.Solid, points = {{2.05279, 2}, {0.0527864, -2}, {-1.94721, 0}, {-1.94721, -2}, {0.0527864, 0}, {2.05279, 2}}), Polygon(origin = {35.03, -28.93}, fillColor = {0, 170, 0}, fillPattern = FillPattern.Solid, points = {{-1.02566, 2.93451}, {0.974342, -3.06549}, {0.974342, -1.06549}, {0.974342, -1.06549}, {-1.02566, 2.93451}, {-1.02566, 2.93451}}), Polygon(origin = {37.88, -29}, fillColor = {0, 170, 0}, fillPattern = FillPattern.Solid, points = {{0.120788, 3}, {-1.87921, -3}, {2.12079, 1}, {0.120788, 3}, {0.120788, 3}}), Ellipse(origin = {42, -52}, fillColor = {255, 0, 0}, fillPattern = FillPattern.Solid, extent = {{-6, 6}, {6, -6}}, endAngle = 360), Polygon(origin = {40.83, -42.08}, fillColor = {0, 170, 0}, fillPattern = FillPattern.Solid, points = {{-2.83014, 2.08397}, {-0.830137, -1.91603}, {3.16986, -1.91603}, {3.16986, -1.91603}, {-2.83014, 2.08397}}), Ellipse(origin = {44, -34}, fillColor = {255, 0, 0}, fillPattern = FillPattern.Solid, extent = {{-6, 6}, {6, -6}}, endAngle = 360), Ellipse(origin = {50, -20}, fillColor = {255, 0, 0}, fillPattern = FillPattern.Solid, extent = {{-6, 6}, {6, -6}}, endAngle = 360), Ellipse(origin = {54, -46}, fillColor = {255, 0, 0}, fillPattern = FillPattern.Solid, extent = {{-6, 6}, {6, -6}}, endAngle = 360), Ellipse(origin = {60, -34}, fillColor = {255, 0, 0}, fillPattern = FillPattern.Solid, extent = {{-6, 6}, {6, -6}}, endAngle = 360), Polygon(origin = {39.88, -27}, fillColor = {0, 170, 0}, fillPattern = FillPattern.Solid, points = {{0.120788, 3}, {-1.87921, -3}, {2.12079, 1}, {0.120788, 3}, {0.120788, 3}}), Polygon(origin = {37.03, -26.93}, fillColor = {0, 170, 0}, fillPattern = FillPattern.Solid, points = {{-1.02566, 2.93451}, {0.974342, -3.06549}, {0.974342, -1.06549}, {0.974342, -1.06549}, {-1.02566, 2.93451}, {-1.02566, 2.93451}}), Polygon(origin = {40.83, -42.08}, fillColor = {0, 170, 0}, fillPattern = FillPattern.Solid, points = {{-2.83014, 2.08397}, {-0.830137, -1.91603}, {3.16986, -1.91603}, {3.16986, -1.91603}, {-2.83014, 2.08397}}), Polygon(origin = {37.95, -40}, fillColor = {0, 170, 0}, fillPattern = FillPattern.Solid, points = {{2.05279, 2}, {0.0527864, -2}, {-1.94721, 0}, {-1.94721, -2}, {0.0527864, 0}, {2.05279, 2}}), Polygon(origin = {42.83, -40.08}, fillColor = {0, 170, 0}, fillPattern = FillPattern.Solid, points = {{-2.83014, 2.08397}, {-0.830137, -1.91603}, {3.16986, -1.91603}, {3.16986, -1.91603}, {-2.83014, 2.08397}}), Rectangle(extent = {{-80, 80}, {80, -80}})}), Documentation(info = "<html>
Este modelo describe el consumo de productos agrícolas. </html>"));
end consumo;