model cultivo "Modelo de cultivo agrícola"
  parameter Real SUP_INI = 672520 "Superficie inicial (ha)";
  parameter Real DEMORA_SUELO = 7.4 "Tiempo que demora el suelo para estar disponible para la siembra (mes)";
  parameter Real DEMORA_COSECHA = 4.6 "Tiempo que demora cosechar el rubro (mes)";
  parameter Real RUBRO_INI = 0 "Producto agrícola cosechado inicial (ton) - condición inicial";
  parameter Real REND = 3.262 "Rendimiento del rubro en la cosecha (ton/ha)";
  SystemDynamics.Rates.Rate_1 traslado_industria annotation(Placement(visible = true, transformation(origin = {70, -12}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  SystemDynamics.Sources.Sink sink3 annotation(Placement(visible = true, transformation(origin = {92, -12}, extent = {{-6, -6}, {6, 6}}, rotation = 0)));
  SystemDynamics.Interfaces.MassOutPort trasladoindustria annotation(Placement(visible = true, transformation(origin = {90, -30}, extent = {{-10, -10}, {10, 10}}, rotation = 0), iconTransformation(extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  SystemDynamics.Interfaces.MassInPort requerimiento_insumo annotation(Placement(visible = true, transformation(origin = {60, -82}, extent = {{-10, -10}, {10, 10}}, rotation = 0), iconTransformation(origin = {90, 40}, extent = {{10, -10}, {-10, 10}}, rotation = 0)));
  Modelica.Blocks.Math.Min min2 annotation(Placement(visible = true, transformation(origin = {67, -51}, extent = {{-7, -7}, {7, 7}}, rotation = 90)));
  SystemDynamics.Auxiliary.Const RENDIMIENTO(k = REND) annotation(Placement(visible = true, transformation(origin = {6, 14}, extent = {{-10, -10}, {10, 10}}, rotation = 90)));
  SystemDynamics.Sources.Source source1 annotation(Placement(visible = true, transformation(origin = {-92, 82}, extent = {{-8, -8}, {8, 8}}, rotation = 0)));
  SystemDynamics.Levels.Level RUBRO(x0 = RUBRO_INI) annotation(Placement(visible = true, transformation(origin = {40, -16}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  SystemDynamics.Rates.Rate_1 sup_preparada annotation(Placement(visible = true, transformation(origin = {-70, 82}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  SystemDynamics.Levels.Level level1 annotation(Placement(visible = true, transformation(origin = {-50, 82}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  SystemDynamics.Rates.Rate_1 rate_11 annotation(Placement(visible = true, transformation(origin = {-28, 82}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  SystemDynamics.Levels.Level SUPERFICIE_DISPONIBLE(x0 = SUP_INI) annotation(Placement(visible = true, transformation(origin = {22, 82}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  SystemDynamics.Sources.Sink sink1 annotation(Placement(visible = true, transformation(origin = {86, 80}, extent = {{-6, -6}, {6, 6}}, rotation = 0)));
  SystemDynamics.Rates.MRate_2 sup_sembrada annotation(Placement(visible = true, transformation(origin = {44, 80}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  efecto_precio efecto_precio1 annotation(Placement(visible = true, transformation(origin = {38, 46}, extent = {{-10, -10}, {10, 10}}, rotation = 90)));
  SystemDynamics.Sources.Source source2 annotation(Placement(visible = true, transformation(origin = {-91, -17}, extent = {{-5, -5}, {5, 5}}, rotation = 0)));
  SystemDynamics.Rates.MRate_2 cosecha annotation(Placement(visible = true, transformation(origin = {-67, -17}, extent = {{-11, 11}, {11, -11}}, rotation = 0)));
  FixedDelayU fixeddelayu1(delayTime = DEMORA_COSECHA) annotation(Placement(visible = true, transformation(origin = {-18, -16}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  FixedDelayU fixeddelayu2(delayTime = DEMORA_SUELO, delay_init = 0) annotation(Placement(visible = true, transformation(origin = {-5, 81}, extent = {{-7, -7}, {7, 7}}, rotation = 0)));
equation
  connect(fixeddelayu2.y, SUPERFICIE_DISPONIBLE.u1) annotation(Line(points = {{3, 81}, {11, 81}, {11, 82}}, color = {0, 0, 127}));
  connect(rate_11.y1, fixeddelayu2.u) annotation(Line(points = {{-23, 82}, {-13, 82}, {-13, 81}}, color = {95, 0, 191}));
  connect(RUBRO.y2, min2.u1) annotation(Line(points = {{47.5, -22.5}, {47.5, -67}, {63.25, -67}, {63.25, -59}, {63, -59}}, color = {95, 0, 191}));
  connect(fixeddelayu1.y, RUBRO.u1) annotation(Line(points = {{-7, -16}, {29, -16}}, color = {0, 0, 127}));
  connect(cosecha.y1, fixeddelayu1.u) annotation(Line(points = {{-61.5, -17}, {-30, -17}, {-30, -16}}, color = {95, 0, 191}));
  connect(SUPERFICIE_DISPONIBLE.y2, sup_sembrada.u) annotation(Line(points = {{29.5, 75.5}, {28.5625, 75.5}, {28.5625, 71.5}, {29.625, 71.5}, {29.625, 65.5}, {39.75, 65.5}, {39.75, 69.5}, {40, 69.5}}, color = {95, 0, 191}));
  connect(RENDIMIENTO.y, cosecha.u1) annotation(Line(points = {{-2, 14}, {-2, 15.5}, {-63, 15.5}, {-63, -5}}, color = {0, 0, 127}));
  connect(sup_sembrada.y1, cosecha.u) annotation(Line(points = {{49, 80}, {62, 80}, {62, 28.5}, {-71, 28.5}, {-71, -5}}, color = {95, 0, 191}));
  connect(source2.MassInPort1, cosecha.y) annotation(Line(points = {{-85.5, -17}, {-72.5, -17}}, color = {95, 0, 191}));
  connect(level1.y2, rate_11.u) annotation(Line(points = {{-42, 75}, {-43, 75}, {-43, 63}, {-27.5, 63}, {-27.5, 71}, {-28, 71}}, color = {95, 0, 191}));
  connect(sup_sembrada.y1, sup_preparada.u) annotation(Line(points = {{49, 80}, {56.5, 80}, {56.5, 32}, {-70, 32}, {-70, 71.5}}, color = {95, 0, 191}));
  connect(efecto_precio1.massoutport1, sup_sembrada.u1) annotation(Line(points = {{38, 55}, {38, 63.25}, {48, 63.25}, {48, 69.5}}, color = {95, 0, 191}));
  connect(sup_sembrada.y1, sink1.MassInPort1) annotation(Line(points = {{49, 80}, {79, 80}}, color = {95, 0, 191}));
  connect(SUPERFICIE_DISPONIBLE.u2, sup_sembrada.y) annotation(Line(points = {{33, 82}, {35, 82}, {35, 80}, {39, 80}}, color = {95, 0, 191}));
  connect(level1.u2, rate_11.y) annotation(Line(points = {{-39, 82}, {-33, 82}}, color = {95, 0, 191}));
  connect(sup_preparada.y1, level1.u1) annotation(Line(points = {{-65, 82}, {-61, 82}}, color = {95, 0, 191}));
  connect(source1.MassInPort1, sup_preparada.y) annotation(Line(points = {{-83, 82}, {-75, 82}}, color = {95, 0, 191}));
  connect(RUBRO.u2, traslado_industria.y) annotation(Line(points = {{51, -16}, {57, -16}, {57, -12}, {65, -12}}, color = {95, 0, 191}));
  connect(min2.y, traslado_industria.u) annotation(Line(points = {{67, -43}, {67, -24}, {70, -24}, {70, -23}}, color = {0, 0, 127}));
  connect(requerimiento_insumo, min2.u2) annotation(Line(points = {{60, -82}, {71, -82}, {71, -59}}, color = {95, 0, 191}));
  connect(min2.y, trasladoindustria) annotation(Line(points = {{67, -43}, {90, -43}, {90, -30}}, color = {0, 0, 127}));
  connect(traslado_industria.y1, sink3.MassInPort1) annotation(Line(points = {{75, -12}, {85, -12}}, color = {95, 0, 191}));
  annotation(Documentation(info = "<html>
Este es el modelo de <b>cultivo</b> de productos agrícolas...
</html>"), Diagram(coordinateSystem(extent = {{-100, -100}, {100, 100}}, preserveAspectRatio = true, initialScale = 0.1, grid = {2, 2})), Icon(coordinateSystem(extent = {{-100, -100}, {100, 100}}, preserveAspectRatio = true, initialScale = 0.1, grid = {2, 2}), graphics = {Text(extent = {{-22, 8}, {-22, 8}}, textString = "CULTIVO", fontSize = 12), Rectangle(extent = {{-80, 80}, {80, -80}}), Polygon(origin = {0, -51.01}, fillColor = {170, 85, 0}, fillPattern = FillPattern.Solid, points = {{-80, 7.00553}, {-48, 27.0055}, {-22, 21.0055}, {4, 23.0055}, {38, 23.0055}, {78, 29.0055}, {80, 7.00553}, {80, -28.9945}, {-80, -28.9945}, {-80, 7.00553}}), Polygon(origin = {-61.04, -8.12}, fillColor = {0, 170, 0}, fillPattern = FillPattern.Solid, points = {{-12.9581, 20.1233}, {7.04187, -19.8767}, {13.0419, -15.8767}, {13.0419, -15.8767}, {-12.9581, 20.1233}}), Polygon(origin = {-51.99, 4.27}, fillColor = {0, 170, 0}, fillPattern = FillPattern.Solid, points = {{3.99404, -28.2746}, {-4.00596, 21.7254}, {1.99404, 27.7254}, {3.99404, -28.2746}, {3.99404, -28.2746}}), Polygon(origin = {-42.99, 1.62}, fillColor = {0, 170, 0}, fillPattern = FillPattern.Solid, points = {{-5.00709, -25.6167}, {4.99291, 28.3833}, {0.992912, -27.6167}, {-5.00709, -25.6167}, {-5.00709, -25.6167}}), Polygon(origin = {-16, 12.57}, fillColor = {0, 170, 0}, fillPattern = FillPattern.Solid, points = {{-6.00417, -42.5691}, {5.99583, 43.4309}, {1.99583, -36.5691}, {1.99583, -42.5691}, {-6.00417, -42.5691}, {-6.00417, -42.5691}}), Polygon(origin = {-9, 5.57}, fillColor = {0, 170, 0}, fillPattern = FillPattern.Solid, points = {{-5.00378, -35.5688}, {4.99622, 36.4312}, {0.99622, -27.5688}, {0.99622, -35.5688}, {-5.00378, -35.5688}, {-5.00378, -35.5688}}), Polygon(origin = {-2, 9.59}, fillColor = {0, 170, 0}, fillPattern = FillPattern.Solid, points = {{-6.00488, -39.5891}, {5.99512, 40.4109}, {1.99512, -37.5891}, {-6.00488, -39.5891}, {-6.00488, -39.5891}}), Polygon(origin = {39.99, 3.68}, fillColor = {0, 170, 0}, fillPattern = FillPattern.Solid, points = {{-9.9874, 32.3208}, {4.0126, -31.6792}, {10.0126, -29.6792}, {-9.9874, 32.3208}, {-9.9874, 32.3208}}), Polygon(origin = {49, 16.58}, fillColor = {0, 170, 0}, fillPattern = FillPattern.Solid, points = {{1.00435, -42.5803}, {-6.99565, 43.4197}, {7.00435, -42.5803}, {1.00435, -42.5803}, {1.00435, -42.5803}}), Polygon(origin = {60, 12.58}, fillColor = {0, 170, 0}, fillPattern = FillPattern.Solid, points = {{-4.00261, -38.5767}, {3.99739, 39.4233}, {3.99739, -36.5767}, {1.99739, -36.5767}, {-4.00261, -38.5767}})}));
end cultivo;