model efecto_precio
  parameter Real ELAST_PRECIO = 0.8 "Elasticidad del precio";
  parameter Real PRECIO_ESTAB = 0.6 "Precio establecido para el rubro - referencia (Bs./ton.)";
  SystemDynamics.Auxiliary.Const PRECIO_ESTABLECIDO(k = PRECIO_ESTAB) annotation(Placement(visible = true, transformation(origin = {-86, 42}, extent = {{-10, -10}, {10, 10}}, rotation = -90)));
  SystemDynamics.Auxiliary.Gain ALFA(k = ELAST_PRECIO) annotation(Placement(visible = true, transformation(origin = {34, 18}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Blocks.Math.Log log1 annotation(Placement(visible = true, transformation(origin = {-2, 18}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Blocks.Math.Exp exp1 annotation(Placement(visible = true, transformation(origin = {64, 18}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Blocks.Math.Division division1 annotation(Placement(visible = true, transformation(origin = {-40, 18}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  SystemDynamics.Interfaces.MassOutPort massoutport1 annotation(Placement(visible = true, transformation(origin = {88, -10}, extent = {{-10, -10}, {10, 10}}, rotation = 0), iconTransformation(origin = {90, 0}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Blocks.Sources.TimeTable PRECIO_MERCADO(table = [0, 0.56; 1, 0.56; 2, 0.56; 3, 0.56; 4, 0.56; 5, 0.56; 6, 0.56; 7, 0.56; 8, 0.56; 9, 0.56; 10, 0.56; 11, 0.56; 12, 0.56; 13, 0.87; 14, 0.87; 15, 0.87; 16, 0.87; 17, 0.87; 18, 0.87; 19, 0.87; 20, 0.87; 21, 0.87; 22, 0.87; 23, 0.87; 24, 0.87], offset = 0, startTime = 0) annotation(Placement(visible = true, transformation(origin = {-87, -1}, extent = {{-7, -7}, {7, 7}}, rotation = 0)));
equation
  connect(PRECIO_MERCADO.y, division1.u2) annotation(Line(points = {{-79, -1}, {-54, -1}, {-54, 12}, {-54, 12}}, color = {0, 0, 127}));
  connect(log1.y, ALFA.u) annotation(Line(points = {{9, 18}, {28, 18}, {28, 18}, {28, 18}}, color = {0, 0, 127}));
  connect(exp1.y, massoutport1) annotation(Line(points = {{75, 18}, {81.5, 18}, {81.5, 18}, {88, 18}, {88, 4}, {88, 4}, {88, -10}}, color = {0, 0, 127}));
  connect(division1.y, log1.u) annotation(Line(points = {{-29, 18}, {-14, 18}}, color = {0, 0, 127}));
  connect(PRECIO_ESTABLECIDO.y, division1.u1) annotation(Line(points = {{-79, 42}, {-52, 42}, {-52, 24}}, color = {0, 0, 127}));
  connect(ALFA.y, exp1.u) annotation(Line(points = {{41, 18}, {52, 18}}, color = {0, 0, 127}));
  annotation(Diagram(coordinateSystem(extent = {{-100, -100}, {100, 100}}, preserveAspectRatio = true, initialScale = 0.1, grid = {2, 2})), Icon(coordinateSystem(extent = {{-100, -100}, {100, 100}}, preserveAspectRatio = true, initialScale = 0.1, grid = {2, 2}), graphics = {Rectangle(extent = {{-80, 80}, {80, -80}}), Text(origin = {15, -22}, lineThickness = 1, extent = {{-75, 64}, {45, -22}}, textString = "EFECTO\nPRECIO")}));
end efecto_precio;