model industria
  parameter Real DEMORA_TRASLADO = 0.25 "Demora en el traslado (Mes)";
  parameter Real PERD_TRASLADO = 0.05 "% de pérdidas en el traslado";
  parameter Real DEMORA_IMP_RUBRO = 0.5 "Demora en importación (Mes)";
  parameter Real DEMORA_PROCESO = 0.5 "Demora del proceso de transformación para crear el bien final (Mes)";
  parameter Real RELAC_IP = 7.28 " ()";
  parameter Real CAPAC_PRODUC = 62842.5 " (ton/mes)";
  parameter Real PORC_BI = 0.03 "Porcentaje de bienes intermedios";
  SystemDynamics.Rates.MRate_2 bien_intermedio annotation(Placement(visible = true, transformation(origin = {-13, 93}, extent = {{-7, -7}, {7, 7}}, rotation = 0)));
  SystemDynamics.Interfaces.MassInPort demanda annotation(Placement(visible = true, transformation(origin = {26, -4}, extent = {{-10, -10}, {10, 10}}, rotation = 90), iconTransformation(origin = {90, 60}, extent = {{10, -10}, {-10, 10}}, rotation = 0)));
  SystemDynamics.Rates.MRate_2 entrada_insumo annotation(Placement(visible = true, transformation(origin = {-75, 83}, extent = {{-9, -9}, {9, 9}}, rotation = 0)));
  Modelica.Blocks.Math.Add add1(k2 = -1) annotation(Placement(visible = true, transformation(origin = {-87, 61}, extent = {{-5, -5}, {5, 5}}, rotation = 90)));
  SystemDynamics.Auxiliary.Const const1(k = 1) annotation(Placement(visible = true, transformation(origin = {-94, 32}, extent = {{-8, -8}, {8, 8}}, rotation = 360)));
  SystemDynamics.Interfaces.MassInPort trasladoindustria annotation(Placement(visible = true, transformation(origin = {-72, 50}, extent = {{-8, -8}, {8, 8}}, rotation = 90), iconTransformation(origin = {-90, -34}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  SystemDynamics.Auxiliary.Const PERDIDA_TRASLADO(k = PERD_TRASLADO) annotation(Placement(visible = true, transformation(origin = {-76, 30}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  SystemDynamics.Levels.Level3 PROCESO_A annotation(Placement(visible = true, transformation(origin = {-33, 81}, extent = {{-9, -9}, {9, 9}}, rotation = 0)));
  Modelica.Blocks.Math.Add deficit_insumo(k1 = -1) annotation(Placement(visible = true, transformation(origin = {-80, -42}, extent = {{-6, -6}, {6, 6}}, rotation = 0)));
  SystemDynamics.Sources.Source source2 annotation(Placement(visible = true, transformation(origin = {-90, -6}, extent = {{-6, -6}, {6, 6}}, rotation = 0)));
  SystemDynamics.Sources.Source source1 annotation(Placement(visible = true, transformation(origin = {-92, 82}, extent = {{-6, -6}, {6, 6}}, rotation = 0)));
  SystemDynamics.Rates.RRate importacion_insumo(minFlow = 0) annotation(Placement(visible = true, transformation(origin = {-65, -5}, extent = {{-9, -9}, {9, 9}}, rotation = 0)));
  Modelica.Blocks.Math.Min min1 annotation(Placement(visible = true, transformation(origin = {-5, 45}, extent = {{-5, -5}, {5, 5}}, rotation = 90)));
  SystemDynamics.Auxiliary.Const CAPACIDAD_PRODUCTIVA(k = CAPAC_PRODUC) annotation(Placement(visible = true, transformation(origin = {-3, 21}, extent = {{-9, -9}, {9, 9}}, rotation = 360)));
  Modelica.Blocks.Math.Product req_insumo annotation(Placement(visible = true, transformation(origin = {-79, -77}, extent = {{-7, -7}, {7, 7}}, rotation = 180)));
  SystemDynamics.Rates.Rate_1 transformacion annotation(Placement(visible = true, transformation(origin = {-5, 65}, extent = {{-7, -7}, {7, 7}}, rotation = 0)));
  SystemDynamics.Levels.Level PROCESO_B annotation(Placement(visible = true, transformation(origin = {40, 64}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  SystemDynamics.Interfaces.MassOutPort trasladomercado annotation(Placement(visible = true, transformation(origin = {81, 45}, extent = {{-11, -11}, {11, 11}}, rotation = -90), iconTransformation(origin = {90, 0}, extent = {{-10, -10}, {10, 10}}, rotation = 360)));
  SystemDynamics.Sources.Sink sink2 annotation(Placement(visible = true, transformation(origin = {29, 93}, extent = {{-5, -5}, {5, 5}}, rotation = 0)));
  SystemDynamics.Auxiliary.Const PORC_PROD_BI(k = PORC_BI) annotation(Placement(visible = true, transformation(origin = {11, 83}, extent = {{-9, -9}, {9, 9}}, rotation = 90)));
  SystemDynamics.Interfaces.MassOutPort requerimiento_insumo annotation(Placement(visible = true, transformation(origin = {-90, -88}, extent = {{-10, -10}, {10, 10}}, rotation = 90), iconTransformation(origin = {-90, 40}, extent = {{10, -10}, {-10, 10}}, rotation = 0)));
  SystemDynamics.Functions.Dead_Time dead_time1(delayTime = DEMORA_TRASLADO) annotation(Placement(visible = true, transformation(origin = {-55, 85}, extent = {{-5, -5}, {5, 5}}, rotation = 0)));
  SystemDynamics.Functions.Dead_Time dead_time2(delayTime = DEMORA_IMP_RUBRO) annotation(Placement(visible = true, transformation(origin = {-44, 44}, extent = {{-6, -6}, {6, 6}}, rotation = 90)));
  SystemDynamics.Functions.Dead_Time dead_time3(delayTime = DEMORA_PROCESO) annotation(Placement(visible = true, transformation(origin = {14, 64}, extent = {{-6, -6}, {6, 6}}, rotation = 0)));
  Modelica.Blocks.Math.Min min2 annotation(Placement(visible = true, transformation(origin = {39, 43}, extent = {{-5, -5}, {5, 5}}, rotation = 0)));
  SystemDynamics.Rates.Rate_1 traslado_mercado annotation(Placement(visible = true, transformation(origin = {66, 64}, extent = {{-8, -8}, {8, 8}}, rotation = 0)));
  SystemDynamics.Auxiliary.Const RELACION_IP(k = RELAC_IP) annotation(Placement(visible = true, transformation(origin = {-45, -83}, extent = {{-9, -9}, {9, 9}}, rotation = 90)));
equation
  connect(RELACION_IP.y, req_insumo.u1) annotation(Line(points = {{-51, -83}, {-51, -81}, {-71, -81}}, color = {0, 0, 127}));
  connect(min2.y, traslado_mercado.u) annotation(Line(points = {{44.5, 43}, {66, 43}, {66, 56}}, color = {0, 0, 127}));
  connect(PROCESO_B.u2, traslado_mercado.y) annotation(Line(points = {{51, 64}, {62, 64}}, color = {95, 0, 191}));
  connect(traslado_mercado.y1, trasladomercado) annotation(Line(points = {{70, 64}, {81, 64}, {81, 45}}, color = {95, 0, 191}));
  connect(demanda, min2.u2) annotation(Line(points = {{26, -4}, {26, 39}, {33, 39}, {33, 40}}, color = {95, 0, 191}));
  connect(PROCESO_B.y4, min2.u1) annotation(Line(points = {{32.5, 57.5}, {33, 57.5}, {33, 46}}, color = {95, 0, 191}));
  connect(dead_time3.y, PROCESO_B.u1) annotation(Line(points = {{21, 64}, {29, 64}}, color = {0, 0, 127}));
  connect(transformacion.y1, dead_time3.u) annotation(Line(points = {{-1, 65}, {-1, 64.5}, {7, 64.5}, {7, 64}}, color = {95, 0, 191}));
  connect(deficit_insumo.y, importacion_insumo.u) annotation(Line(points = {{-73, -42}, {-66, -42}, {-66, -14}, {-66, -14}}, color = {0, 0, 127}));
  connect(importacion_insumo.y1, dead_time2.u) annotation(Line(points = {{-60.5, -5}, {-44, -5}, {-44, 37}}, color = {95, 0, 191}));
  connect(dead_time2.y, PROCESO_A.u2) annotation(Line(points = {{-44, 51}, {-43, 51}, {-43, 77}}, color = {0, 0, 127}));
  connect(entrada_insumo.y1, dead_time1.u) annotation(Line(points = {{-70.5, 83}, {-65.75, 83}, {-65.75, 85}, {-61, 85}}, color = {95, 0, 191}));
  connect(dead_time1.y, PROCESO_A.u1) annotation(Line(points = {{-49, 85}, {-49, 84.5}, {-43, 84.5}, {-43, 85}}, color = {0, 0, 127}));
  connect(req_insumo.y, requerimiento_insumo) annotation(Line(points = {{-87, -77}, {-90, -77}, {-90, -88}}, color = {0, 0, 127}));
  connect(PORC_PROD_BI.y, bien_intermedio.u1) annotation(Line(points = {{5, 83}, {-11.25, 83}, {-11.25, 84}, {-10.625, 84}, {-10.625, 86}, {-10, 86}}, color = {0, 0, 127}));
  connect(bien_intermedio.y1, sink2.MassInPort1) annotation(Line(points = {{-9.5, 93}, {23.5, 93}}, color = {95, 0, 191}));
  connect(PROCESO_A.u4, transformacion.y) annotation(Line(points = {{-23, 77}, {-8.5, 77}, {-8.5, 65}}, color = {95, 0, 191}));
  connect(min1.y, transformacion.u) annotation(Line(points = {{-5, 50.5}, {-5, 58}}, color = {0, 0, 127}));
  connect(demanda, req_insumo.u2) annotation(Line(points = {{26, -4}, {26, -73}, {-71, -73}}, color = {95, 0, 191}));
  connect(req_insumo.y, deficit_insumo.u2) annotation(Line(points = {{-87, -77}, {-93, -77}, {-93, -45}, {-87, -45}, {-87, -46}}, color = {0, 0, 127}));
  connect(CAPACIDAD_PRODUCTIVA.y, min1.u2) annotation(Line(points = {{-3, 27}, {-2, 27}, {-2, 39}}, color = {0, 0, 127}));
  connect(PROCESO_A.y, min1.u1) annotation(Line(points = {{-26, 75}, {-27, 75}, {-27, 71}, {-24, 71}, {-24, 30}, {-8, 30}, {-8, 39}}, color = {95, 0, 191}));
  connect(PROCESO_A.y1, bien_intermedio.u) annotation(Line(points = {{-33, 75}, {-33, 68}, {-20, 68}, {-20, 81.5}, {-16, 81.5}, {-16, 86}}, color = {95, 0, 191}));
  connect(source2.MassInPort1, importacion_insumo.y) annotation(Line(points = {{-83, -6}, {-84, -6}, {-84, -5}, {-69.5, -5}}, color = {95, 0, 191}));
  connect(source1.MassInPort1, entrada_insumo.y) annotation(Line(points = {{-85, 82}, {-80.5, 82}, {-80.5, 83}, {-79.5, 83}}, color = {95, 0, 191}));
  connect(entrada_insumo.y1, deficit_insumo.u1) annotation(Line(points = {{-70.5, 83}, {-65, 83}, {-65, 8.5}, {-97, 8.5}, {-97, -38.75}, {-87, -38.75}, {-87, -38}}, color = {95, 0, 191}));
  connect(PROCESO_A.u3, bien_intermedio.y) annotation(Line(points = {{-23, 85}, {-23.5, 85}, {-23.5, 93}, {-20, 93}, {-20, 93.5}, {-16.5, 93.5}, {-16.5, 93}}, color = {95, 0, 191}));
  connect(PERDIDA_TRASLADO.y, add1.u2) annotation(Line(points = {{-76, 37}, {-76, 42}, {-84, 42}, {-84, 55}}, color = {0, 0, 127}));
  connect(trasladoindustria, entrada_insumo.u1) annotation(Line(points = {{-72, 50}, {-72, 50}, {-72, 74}, {-72, 74}}, color = {95, 0, 191}));
  connect(const1.y, add1.u1) annotation(Line(points = {{-94, 38}, {-90.5, 38}, {-90.5, 55}, {-90, 55}}, color = {0, 0, 127}));
  connect(add1.y, entrada_insumo.u) annotation(Line(points = {{-87, 67}, {-87, 68.5}, {-79, 68.5}, {-79, 74}}, color = {0, 0, 127}));
  annotation(Diagram(coordinateSystem(extent = {{-100, -100}, {100, 100}}, preserveAspectRatio = true, initialScale = 0.1, grid = {2, 2})), Icon(coordinateSystem(extent = {{-100, -100}, {100, 100}}, preserveAspectRatio = true, initialScale = 0.1, grid = {2, 2}), graphics = {Rectangle(extent = {{-80, 80}, {80, -80}}), Ellipse(origin = {34, 40}, fillColor = {255, 237, 215}, fillPattern = FillPattern.Solid, extent = {{-16, 16}, {18, -16}}, endAngle = 360), Rectangle(origin = {38, -8}, extent = {{-22, 32}, {16, -32}}), Rectangle(origin = {25, -55}, fillColor = {255, 237, 215}, fillPattern = FillPattern.Solid, extent = {{3, 15}, {-3, -15}}), Rectangle(origin = {45, -55}, fillColor = {255, 237, 215}, fillPattern = FillPattern.Solid, extent = {{-3, 15}, {3, -15}}), Rectangle(origin = {3, 15}, fillColor = {255, 237, 215}, fillPattern = FillPattern.Solid, extent = {{13, 3}, {-13, -5}}), Polygon(origin = {4, -2.99}, fillColor = {255, 237, 215}, fillPattern = FillPattern.Solid, points = {{12, 10.9857}, {-12, 0.985675}, {-12, -11.0143}, {12, 0.985675}, {12, 0.985675}, {12, 10.9857}}), Polygon(origin = {-53, -1.21}, fillColor = {229, 229, 229}, fillPattern = FillPattern.Solid, points = {{4.99679, 41.2077}, {-7.00321, -38.7923}, {-1.00321, -40.7923}, {8.99679, 35.2077}, {8.99679, 35.2077}, {8.99679, 35.2077}, {4.99679, 41.2077}}), Polygon(origin = {-28.92, 37}, fillColor = {229, 229, 229}, fillPattern = FillPattern.Solid, points = {{-19.084, 3}, {18.916, 3}, {18.916, -3}, {-15.084, -3}, {-15.084, -3}, {-19.084, 3}}), Polygon(origin = {-13, -2}, points = {{3, 36}, {3, 42}, {-3, -40}, {-3, -34}, {-3, -32}, {3, 36}}), Polygon(origin = {-37.66, -41}, fillColor = {229, 229, 229}, fillPattern = FillPattern.Solid, points = {{-22.3419, 1}, {-16.3419, -1}, {21.6581, -1}, {21.6581, 1}, {-22.3419, 1}, {-22.3419, 1}}), Ellipse(origin = {-32, 23}, extent = {{-6, 5}, {6, -5}}, endAngle = 360), Polygon(origin = {-32, -3}, fillColor = {229, 229, 229}, fillPattern = FillPattern.Solid, points = {{-12.0029, 37}, {21.9971, 37}, {15.9971, -37}, {-22.0029, -37}, {-22.0029, -37}, {-12.0029, 37}}), Ellipse(origin = {-33, 9}, fillColor = {255, 255, 255}, fillPattern = FillPattern.Solid, extent = {{-7, 7}, {7, -7}}, endAngle = 360), Rectangle(origin = {15, 55}, fillColor = {255, 255, 0}, fillPattern = FillPattern.Solid, extent = {{-11, 3}, {5, -3}}), Rectangle(origin = {32, 62}, fillColor = {255, 255, 0}, fillPattern = FillPattern.Solid, extent = {{-12, 6}, {18, -6}})}), Documentation(info = "<html>
Este modelo describe la transformación industrial de bienes agrícolas.
</html>"));
end industria;